namespace VCommon.Logging
{
    public interface ILogger
    {
        void Debug(string summary, object moreInfo = null);

        void Trace(string summary, object moreInfo = null);

        void Info(string summary, object moreInfo = null);

        void Warn(string summary, object moreInfo = null);

        void Error(string summary, object moreInfo = null);

        void Fatal(string summary, object moreInfo = null);
    }
}